summaryrefslogtreecommitdiff
path: root/editors/vi
diff options
context:
space:
mode:
authorThomas Ulmer <thomasmulmer02@gmail.com>2026-06-23 22:00:09 -0700
committerThomas Ulmer <thomasmulmer02@gmail.com>2026-06-23 22:00:09 -0700
commit63f3558365b1dd4ee0a3af95d78a5caee6fab8d9 (patch)
treecc3dfa24a38b50ff90e1cc90d92a854c1d490473 /editors/vi
parent3376b6420d3b6cc965890e46e7bbd06fbc9fd037 (diff)
update vi to include heiloom fixes
Diffstat (limited to 'editors/vi')
-rwxr-xr-xeditors/vi/setup.sh12
m---------editors/vi/vi0
2 files changed, 9 insertions, 3 deletions
diff --git a/editors/vi/setup.sh b/editors/vi/setup.sh
index 2752651..40b18e3 100755
--- a/editors/vi/setup.sh
+++ b/editors/vi/setup.sh
@@ -4,7 +4,13 @@ set -e
export PREFIX=${HOME}/.local
+if which tcc
+then
cd vi
-make
-make install
-
+./configure
+CC=tcc make
+CC=tcc make install
+else
+echo 'no tcc, compile manually'
+exit 1
+fi
diff --git a/editors/vi/vi b/editors/vi/vi
-Subproject 9855bed0869ace4665e2776ec4d489847a0781b
+Subproject ea8c6f09b6653e5b3fe69e98a44a155c33d60e1